# Get all transfers. `GET https://api.leapa.co/v2/transfers` Send your API key as a bearer token in the `Authorization` header. ## Query parameters - `pageFilterTransfer` · _PageFilterTransfer_ · **required** ## Response 200 - `object` · _string_ — Array - `page` · _integer_ — The current page returned - `size` · _integer_ — The total size in a page - `live` · _boolean_ — Flag to indicate whether this is live mode or not - `total_elements` · _integer_ — The total elements - `total_pages` · _integer_ — The total pages - `data` · _array of TransferResponse_ — List of transfers - `id` · _string_ — Id of the transfer - `object` · _string_ — object to be returned - `amount` · _integer_ — Amount to be transferred. - `currency` · _string_ — Three-Letter ISO currency code Allowed values: `BIF`, `USD`, `KES`, `XAF` - `description` · _string_ — Description of the payout. - `type` · _string_ — Type of the transfer. Either deposit or reversal Allowed values: `deposit`, `reversal` - `created_date` · _integer_ — UTC UNIX Epoch Timestamp in millisecond at which the record was created. - `merchant_id` · _string_ — ID of the merchant receiving the fund - `merchant_name` · _string_ — Name of the merchant receiving the fund - `live` · _boolean_ — Whether the object exist in live or test mode. - `modified_date` · _integer_ — UTC UNIX Epoch Timestamp in millisecond at which the object was modified. - `reversal_id` · _string_ — ID of the reversal transfer for a deposit. Only valid for bank and card type. ```json { "object": "string", "page": 0, "size": 0, "live": false, "total_elements": 0, "total_pages": 0, "data": [ { "id": "obj_5f21c8a40b", "object": "string", "amount": 45000, "currency": "BIF", "description": "Room 204, two nights", "type": "deposit", "created_date": 0, "merchant_id": "mer_1b47d0e9ca", "merchant_name": "Jeanne Ndayishimiye", "live": false, "modified_date": 0, "reversal_id": "string" } ] } ``` ## Status codes - `200` OK - `400` Bad request - `401` Unauthorized - `402` Payment required - `403` Forbidden - `404` Not found - `428` Precondition required - `500` Server error ## Example ```bash curl -X GET "https://api.leapa.co/v2/transfers?pageFilterTransfer=" \ -H "Authorization: Bearer $LEAPA_API_KEY" \ -H "Accept: application/json" ``` --- _Generated from the Leapa documentation at leapa.co/docs._